import saito.objloader.*;

// declare that we need a OBJModel and we'll be calling it "model"
OBJModel model;
OBJModel tmpmodel;
float rotX;
float rotY;
float a, inc;


void setup()
{
  size(600, 600, P3D);

  model = new OBJModel(this, "3.obj");


  // turning on the debug output (it's all the stuff that spews out in the black box down the bottom)
  model.enableDebug();

  noStroke();
}

int count = 0;  

void draw()
{
  background(0);
  directionalLight(255, 255, 255, 0, -1,-1);
  //
  inc = TWO_PI/25.0;
  a += 0.05;
  pushMatrix();
  translate(width/2, height/2+(sin(a)*sin(a))*30, 0);
  rotateX(rotY);
  rotateY(rotX);
  scale(1);

  model.draw();
  popMatrix();
  
  for(int i = 0; i < model.getUVCount(); i ++)
  {

    PVector u = model.getUV(i);
    //PVector stable_u = tmpmodel.getUV(i);

    //u.x = stable_u.x + sin(radians(frameCount))/2;
    
  }
  
}


void mouseDragged()
{
  rotX += (mouseX - pmouseX) * 0.01;
  rotY -= (mouseY - pmouseY) * 0.01;
}


