/**
  NyARToolkit for proce55ing/1.0.0
  (c)2008-2011 nyatla
  airmail(at)ebony.plala.or.jp
  
  This sample proglam handles 2 ARToolKit marker.
  The markers are "patt.hiro" and "patt.kanji"
  2 differents 3D .obj models textured
*/

// Librairies
import processing.video.*;
import jp.nyatla.nyar4psg.*;
import saito.objloader.*;

// Variables camera + nyar 
Capture cam;
MultiMarker nya;

// déclaration objet 3D
OBJModel model;
OBJModel model2;

// Gestion du rendu, texture, maillage
// variables de type booléenne true/false
boolean bTexture = true;
boolean bStroke = false;
boolean bMaterial = true;

// int Width Height
int arWidth = 640;
int arHeight = 480;

void setup() {
  size(1280,720,OPENGL);
  frameRate(30);
  colorMode(RGB, 100);
  
  // pas de curseur  
  noCursor();
  
  println(MultiMarker.VERSION);  
  cam=new Capture(this,1280,720);
  nya=new MultiMarker(this,width,height,"camera_para.dat",NyAR4PsgConfig.CONFIG_PSG);
  nya.addARMarker("data/patt.hiro",80);//id=0
  nya.addARMarker("data/patt.kanji",80);//id=1

// importation du modèle 3D 1
  model = new OBJModel(this, "data/stone.obj", "absolute", TRIANGLES);
  model.enableDebug();
// taille du modèle
  model.scale(20);

// importation du modèle 3D 2
  model2 = new OBJModel(this, "data/box.obj", "absolute", TRIANGLES);
  model2.enableDebug();
// taille du modèle
  model2.scale(20);
  
  cam.start();
}

void draw()
{
  if (cam.available() !=true) {
      return;
  }
  cam.read();
  nya.detect(cam);
  background(0);
  image(cam, 0, 0, width,height);
  nya.drawBackground(cam);
  PImage cSmall = cam.get();
    cSmall.resize(arWidth, arHeight);
  for(int i=0;i<1;i++){
    if((!nya.isExistMarker(0))){
      continue;
    }
    nya.beginTransform(i);
    noStroke();
    translate(0,0,0);
    model.draw();
    nya.endTransform();
  }
   for(int i=1;i<2;i++){
    if((!nya.isExistMarker(1))){
      continue;
    }
    nya.beginTransform(i);
    noStroke();
    translate(0,0,20);
    model2.draw();
    nya.endTransform();
  }
}


